package database

import "time"

type PisMetadata struct {
	Type        string `json:"type"`
	LastUpdate  string `json:"lastUpdate"`
	LastVersion string `json:"lastVersion"`
}

type CifMetadata struct {
	Type           string    `json:"type"`
	LastSequence   int64     `json:"lastSequence"`
	LastTimestamp  int64     `json:"lastTimestamp"`
	LastUpdate     time.Time `json:"lastUpdate"`
	LastUpdateType string    `json:"lastUpdateType"`
}
